Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux.de>

Summary:	DevIL image library
Name:		DevIL
Version:	1.7.8
Release:	3
License:	LGPL-2.1
Group:		System/Libraries
URL:		http://openil.sourceforge.net
Source0:	http://dl.sf.net/openil/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: allegro-devel
BuildRequires: DirectFB-devel
BuildRequires: freeglut-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: jasper-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: OpenEXR-devel
BuildRequires: SDL-devel
BuildRequires: sysfsutils-devel
BuildRequires: zlib-devel

%description
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy for a
developer to learn and use. Ultimate control of images is left to the
developer, so unnecessary conversions, etc. are not performed. DevIL utilizes
a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate,
filter and display a wide variety of image formats.

%package	devel
Summary:	Development files for DevIL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for DevIL

%package	ILUT
Summary:	The libILUT component of DevIL
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description	ILUT
The libILUT component of DevIL

%package	ILUT-devel
Summary:	Development files for the libILUT component of DevIL
Group:		Development/Libraries
Requires:	%{name}-ILUT = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	allegro-devel
Requires:	libGLU-devel

%description	ILUT-devel
Development files for the libILUT component of DevIL

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post ILUT -p /sbin/ldconfig

%postun ILUT -p /sbin/ldconfig

%prep
%setup -q -n devil-%{version}
# Convert to UTF8
iconv -f iso8859-1 CREDITS -t utf8 > CREDITS.conv \
    && /bin/mv -f CREDITS.conv CREDITS

%build
%configure \
--enable-ILU \
--enable-ILUT \
--with-examples
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS README TODO
%_libdir/libIL.so.*
%_libdir/libILU.so.*
%_datadir/info

%files devel
%defattr(-,root,root,-)
%_bindir
%_libdir/libIL.so
%_libdir/libILU.so
%_includedir/IL/il.h
%_includedir/IL/ilu.h
%_includedir/IL/ilu_region.h
%_pkgconfig/IL.pc
%_pkgconfig/ILU.pc
%_libdir/libIL.a
%_libdir/libIL.la
%_libdir/libILU.a
%_libdir/libILU.la
%_datadir/devil

%files ILUT
%_libdir/libILUT.so.*

%files ILUT-devel
%_libdir/libILUT.so
%_includedir/IL/ilut.h
%_includedir/IL/devil_cpp_wrapper.hpp
%_pkgconfig/ILUT.pc
%_libdir/libILUT.a
%_libdir/libILUT.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.7.8-3
- rebuilt against libjpeg 7
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.7.8-2
- rebuild against SDL-1.2.13-3
* Sun Apr 12 2009 Christian Wasem <wasem@ccux-linux.de> 1.7.8-1
- Version update
* Mon Feb 04 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.8-6
- rc2 again, with gcc 4.1.2
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.8-5
- rc3 from Gotti again
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.8-4
- ilu.h
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.8-3
- modified build process
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.6.8-2
- Update to 1.6.8rc3 (also called 1.83, but Changelog mention rc3)
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.6.8-1
- Initial Release (RC2)
